Skip to content

Get series ​

GET
/v1/series

Gets a list with series.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
name
Type
string
Example"Formula 1"
sport_type

Enum: soccer, motorsport, tennis, rugby, darts, horseracing, boxing, other, motogp, formula1, cricket, basketball, combatsport, icehockey, nba, nfl, mlb, watersport, dtm, indycar, superbike, padel, handball, golf, rowing, cycling, sailing, music. Operators, e.g. eq:soccer, ne:soccer, in:[soccer,music], not_in:[soccer,music]

Example"formula1"
series_id

Operators, e.g. eq:2c2a9dc47e794e0ba88a6917e2b9047b_srs, ne:2c2a9dc47e794e0ba88a6917e2b9047b_srs, in:[2c2a9dc47e794e0ba88a6917e2b9047b_srs,7d881550d5ba4cb2b3faca11a9b1695d_srs], not_in:[2c2a9dc47e794e0ba88a6917e2b9047b_srs,7d881550d5ba4cb2b3faca11a9b1695d_srs]

Example"5f1c2d3e4a5b46c7a8b9c0d1e2f3a4b5_srs"

Responses​

OK

application/json
JSON
{
  
"series": [
  
  
{
  
  
  
"series_id": "5f1c2d3e4a5b46c7a8b9c0d1e2f3a4b5_srs",
  
  
  
"name": "Formula 1",
  
  
  
"sport_type": "formula1"
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​